html, body {
    font-family: 'Noto Sans KR', sans-serif;
    font-weight: 400;
    font-size: 14px;
    color: #0A0924;
    line-height: 1.5em;
    background-color: #F9FAFB;
}
html, body, .app {
    height: 100%;
    overflow: hidden;
}
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

/* headings */

h1, h2, h3, h4, h5 {
    font-weight: 700;
}

h2 {
    font-weight: 700;
    font-size: 32px;
}

/* buttons */

.btn {
    padding: 10px 40px;
    font-weight: 700;
    border-radius: 5px;
    text-decoration: none;
}
.btn-primary {
    background-color: #22CAA7;
    border-color: #22CAA7;
    color: #FFF;
}
.btn-secondary {
    background-color: #FF6474;
    border-color: #FF6474;
    color: #FFF;
}

.btn-link {
    font-weight: 400;
    color: #22CAA7;
    padding: 10px 0px;
    text-decoration: underline;
}

/* Button tag */

button {
    background: transparent;
    border: none;
    margin: 0px;
    padding: 0px;
}
button:focus {
    outline: none;
}


/* Form elements */

.form-group {
    display: flex;
    flex-direction: column;
    margin-bottom: 20px;
}
.form-group label {
    margin-bottom: 10px;
}
.form-group input {
    padding: 15px 20px;
    color: #0A0924;
    border: 1px solid #E4E4E8;
    border-radius: 0px;
}
.form-group input::placeholder {
    color: #CDCCD2;
}
.button-group {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
}


/* Koala Login */

#koala-login {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 20px;
    background-color: #1c232c;
    transition: background-color .3s ease-in-out;
    overflow: auto;
    background-color: #0A0924;
}
#koala-login .koala-login-container {
    background: #fff;
    width: 1120px;
    min-height: 590px;
    display: grid;
    grid-template-columns: auto 480px;
    transition: all .3s ease-in-out;
    transform: scale(1);
}
#koala-login .koala-login-container .koala-login-image {
    background-color: #0A0924;
    background-image: url(../images/login-background.png);
    background-position: 50%;
    background-size: cover;
    opacity: 1;
    transition: opacity .3s ease-in-out,padding .2s ease-in-out;
    position: relative;
}
#koala-login .koala-login-container .koala-login-image::after {
    content: '';
    background: linear-gradient(to top, rgba(10,9,36,0.8), rgba(10,9,36,0.5), rgba(10,9,36,0));
    bottom: 0px;
    left: 0;
    opacity: 1;
    position: absolute;
    right: 0;
    height: 300px;
    z-index: 1;
}
#koala-login .koala-login-container .koala-login-image .heading {
    bottom: 50px;
    left: 50px;
    position: absolute;
    color: #FFF;
    z-index: 9;
}
#koala-login .koala-login-container .koala-login-image .heading h1 {
    font-size: 70px;
    line-height: 70px;
}
#koala-login .koala-login-container .koala-login-image .heading h3 {
    font-size: 30px;
    font-weight: 400;
    margin-top: 10px;
}
#koala-login .koala-login-container .koala-login-content {
    min-width: 320px;
    padding: 130px 60px;
    position: relative;
    opacity: 1;
    transition: opacity .3s ease-in-out,padding .2s ease-in-out;
}
#koala-login .koala-login-container .koala-login-content h2 {
    margin-bottom: 40px;
}

/* Koala desktop */

.koala-desktop {
    display: grid;
    grid-template-columns: auto 1fr;
    position: relative;
    height: 100%;
    width: 100%;
    overflow: hidden;
}



/* Sidebar */

.collapsible {
    display: none;
    opacity: 0;
    visibility: hidden;
}
.collapsible.show {
    display: block;
    opacity: 1;
    visibility: visible;
}
.koala-sidebar {
    width: 80px;
    background-color: #0A0924;
    transition: width .4s cubic-bezier(.5,.32,.01,1);
    height: 100%;
    display: flex;
    flex-direction: column;
    position: relative;
}
.koala-sidebar.expanded {
    width: 300px;
}
.koala-sidebar .sidebar-header {
    margin-top: 20px;
    padding: 25px;
    display: flex;
    position: relative;
    height: 85px;
    margin-bottom: 10px;
}

.koala-sidebar .sidebar-header img {
    width: 40px;
}
.koala-sidebar .sidebar-header .text {
    display: flex;
    flex-direction: column;
    padding-left: 20px;
    position: relative;
}
.koala-sidebar .sidebar-header .text span.name {
    color: #FFF;
    font-weight: 700;
    font-size: 16px;
    display: flex;
}
.koala-sidebar .sidebar-header .text span.role {
    color: #E5E5E8;
    display: flex;
}
.koala-sidebar .sidebar-menu {
    margin-top: 40px;
}
.koala-sidebar .sidebar-menu nav ul li {
    position: relative;
}
.koala-sidebar .sidebar-menu nav ul li a {
    color: #FFF;
    text-decoration: none;
    padding: 15px 25px;
    display: flex;
}
.koala-sidebar .sidebar-menu nav ul li a img {
    margin-right: 40px;
}
/* START // TO DO (RVZ): ADD SUBMENU */
.koala-sidebar .sidebar-menu nav ul li:hover ul {
    display: block;
}
.koala-sidebar .sidebar-menu nav ul li ul {
    margin-top: 0px;
    padding-left: 0px;
    display: none;
    position: absolute;
    right: 0;
    top: 0;
    background: #18162f;
    width: 200px;
    transform: translateX(200px);
    box-shadow: 10px 10px 10px rgba(0,0,0,.2);
}
.koala-sidebar .sidebar-menu nav ul li ul li a {
    font-size: .85em;
    padding: 15px 25px;
    color: #CDCCD2;
    display: flex;
}
/* END // TO DO (RVZ): ADD SUBMENU */


.koala-sidebar .sidebar-collapse {
    position: absolute;
    bottom: 80px;
    width: 100%;
    right: 0;
    padding: 25px;
    display: flex;
}
.koala-sidebar .sidebar-collapse img {
    width: 15px;
}
.koala-sidebar .sidebar-collapse .text {
    display: flex;
    flex-direction: column;
    padding-left: 40px;
    color: #CDCCD2;
}
.koala-sidebar .sidebar-logout {
    position: absolute;
    bottom: 0;
    width: 100%;
    background-color: #18162f;
    right: 0;
    padding: 25px;
    display: flex;
}
.koala-sidebar .sidebar-logout img {
    width: 15px;
}
.koala-sidebar .sidebar-logout .text {
    display: flex;
    flex-direction: column;
    padding-left: 40px;
    color: #FFF;
}

/* Page */

.page {
    overflow-y: scroll;
}
.page .container {
    max-width: 90%;
    margin: 0 auto;
}

/* Page headline */

.page-headline .inner {
    padding: 60px 0px 30px 0px;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
    align-items: center;
}
.page-headline .inner h1 {
    font-size: 32px;
    font-weight: 700;
    display: flex;
    margin-right: 30px;;
}

/* Page sub headline */

.page-sub-headline .inner {
    padding: 60px 0px 30px 0px;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
    align-items: center;
}
.page-sub-headline .inner h3 {
    font-size: 24px;
    font-weight: 700;
    display: flex;
    margin-right: 30px;;
}
.page-sub-headline .inner  {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
}
.page-sub-headline .inner .buttons {
    display: flex;
    justify-content: end;
}

/* Search */

.search form {
    position: relative;
    min-width: 400px;
}
.search form input {
    width: 100%;
    padding: 12px 30px;
    border: 1px solid #E4E4E8;
    font-size: 14px;
    border-radius: 5px;
}
.search form input:focus {
    outline: 2px solid #22CAA7;
}
.search form button {
    position: absolute;
    right: 0px;
    top: 0px;
    bottom: 0px;
    width: 50px;
}
.search form button i {
    color: #22CAA7;
}


/* Table remove inherit styles */
table, caption, tbody, tfoot, thead, tr, th, td {
    margin: 0;
    padding: 0;
    border: 0;
    outline: 0;
    font-size: 100%;
    vertical-align: baseline;
    background: transparent;
    border-collapse: collapse; 
}

/* Order list */

.order-list table.orders {
    width: 100%;
    border: none;
    margin-top: 20px;

}
.order-list table.orders thead tr td {
    padding: 10px 10px 20px 10px;
    color: #B9B7C3;
}

.order-list table.orders tbody {
    background: #FFF;
    box-shadow: 0px 0px 10px rgba(0,0,0,.1);
    padding: 10px 0px;
}
.order-list table.orders tbody tr {
    border-bottom: 1px solid #E4E4E8;
    transition: ease .3s;
    cursor: pointer;
}
.order-list table.orders tbody tr:hover {
    background-color: #CDF8EF;
}
.order-list table.orders tbody tr td {
    padding: 15px;
}
.order-list table.orders tbody tr td .remove {
    text-align: center;
}
.order-list table.orders tbody tr td .remove:hover i {
    color: #FF6474;
}
.order-list table.orders tbody tr td .remove i {
    color: #B9B7C3;
    font-size: 1.2em;
}
.order-list table.orders tbody tr td .link {
    text-align: center;
}
.order-list table.orders tbody tr td .link:hover i {
    color: #22CAA7;
}
.order-list table.orders tbody tr td .link i {
    font-size: 1.2em;
}
.order-list table.orders tbody tr td .link {
    text-align: center;
}


/* Order processing */

.order-processing {
    
    position: relative;
}
.order-processing .order-processing-lanes {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    overflow-x: scroll;
    height: calc(100vh - 132px);
}
.order-processing .order-processing-lanes .column {
    height: 100%;
    margin-right: 20px;
    flex-grow: 1;
}
.order-processing .order-processing-lanes .column:last-child {
    margin-right: 0px;
}
.order-processing .order-processing-lanes .column .title {
    padding: 10px 0px;
    font-size: 1.3em;
}
.order-processing .order-processing-lanes .column .items {
    background: #FFF;
    height: 100%;
    padding: 10px;
}
.order-processing .order-processing-lanes .column .items .item {
    border-radius: 5px;
    border: 1px solid #E4E4E8;
    padding: 10px;
    margin-bottom: 10px;
}
.order-processing .order-processing-lanes .column .items .item {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
}
.order-processing .order-processing-lanes .column .items .item span.number {
    font-weight: 700;
    font-size: 1.2em;
}



/* Order list */

.stock-list table.stock {
    width: 100%;
    border: none;
    margin-top: 20px;

}
.stock-list table.stock thead tr td {
    padding: 10px 10px 20px 10px;
    color: #B9B7C3;
}

.stock-list table.stock tbody {
    background: #FFF;
    box-shadow: 0px 0px 10px rgba(0,0,0,.1);
    padding: 10px 0px;
}
.stock-list table.stock tbody tr {
    border-bottom: 1px solid #E4E4E8;
    transition: ease .3s;
    cursor: pointer;
}
.stock-list table.stock tbody tr:hover {
    background-color: #CDF8EF;
}
.stock-list table.stock tbody tr td {
    padding: 15px;
}
.stock-list table.stock tbody tr td .stock-status {

}
.stock-list table.stock tbody tr td .remove {
    text-align: center;
}
.stock-list table.stock tbody tr td .remove:hover i {
    color: #FF6474;
}
.stock-list table.stock tbody tr td .remove i {
    color: #B9B7C3;
    font-size: 1.2em;
}
.stock-list table.stock tbody tr td .link {
    text-align: center;
}
.stock-list table.stock tbody tr td .link:hover i {
    color: #22CAA7;
}
.stock-list table.stock tbody tr td .link i {
    font-size: 1.2em;
}
.stock-list table.stock tbody tr td .link {
    text-align: center;
}

/* Stock statusses */

.in-stock {
    color: #00C43C;
}
.low-stock {
    color: #FF9300;
}
.no-stock {
    color: #CE0707;
}
.in-stock::before, .low-stock::before, .no-stock::before {
    content: '\f192';
    font-family: "Font Awesome 5 Pro";
    font-weight: 700;
    margin-right: 10px;
}


/* Stock detail */

.stock-detail .box {
    background-color: #FFF;
    box-shadow: rgba(0,0,0,.1);
    padding: 40px;
    margin: 20px 0px;
}
.stock-detail .box h3 {
    margin-bottom: 20px;
}
.stock-detail .box table {
    width: 100%;
}
.stock-detail .box table tbody tr td {
    padding: 15px 0px;
}



/* Koala modal */

.koala-modal {
    width: 80%;
}
.koala-modal .modal-heading .heading {
    
    
}
.koala-modal .modal-footer {
    padding-top: 20px;
    border-top: 1px solid #ccc;
    margin-top: 20px;
}
.koala-modal .modal-footer .row {
    justify-content: flex-end;
}
.koala-modal .modal-footer .button-group .btn {
    margin-left: 15px;
}


.koala-modal .modal-body form .row {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
}
.koala-modal .modal-body form .row .col {
}